> ## Documentation Index
> Fetch the complete documentation index at: https://docs.theauthapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch users roles



## OpenAPI

````yaml patch /users/{id}/roles
openapi: 3.0.0
info:
  title: Auth API
  description: Auth API swagger spec
  version: 0.3.4
  contact: {}
servers:
  - url: https://api.theauthapi.com
security: []
tags:
  - name: auth_api_v1
    description: ''
paths:
  /users/{id}/roles:
    patch:
      operationId: UsersController_updateUserRole
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateUserRoleDto'
      responses:
        '200':
          description: ''
components:
  schemas:
    UpdateUserRoleDto:
      type: object
      properties:
        accountId:
          type: string
        projectId:
          type: string
        role:
          type: string
      required:
        - accountId
        - role

````